### Method

# Gio DBusInterface get_info

since: 2.30

#### Declaration [src]

    GDBusInterfaceInfo*
    g_dbus_interface_get_info (
      GDBusInterface* interface_
    )

#### Description [src]

Gets D-Bus introspection information for the D-Bus interface implemented by `interface_`.

This can return `NULL` if no `GDBusInterfaceInfo` was provided during construction of `interface_` and is also not made available otherwise. For example, `GDBusProxy` implements `GDBusInterface` but allows for a `NULL` `GDBusInterfaceInfo`.

Available since: 2.30

#### Return value

Type: `GDBusInterfaceInfo`

A `GDBusInterfaceInfo`. Do not free.

The returned data is owned by the instance.
The return value can be `NULL`.